## gnucash-docs 3.8

=== CMakeLists.txt ===
# CMakeLists.txt for GnuCash Documenation

cmake_minimum_required (VERSION 3.5)

# This sets a number of environment variables we can use later on
# The names of these variables start with PROJECT_ and gnucash-docs_VERSION
project (gnucash-docs
    VERSION 3.8
    LANGUAGES NONE)

set (PACKAGE_NAME GnuCash Docs)
set (PACKAGE_BUGREPORT "https://bugs.gnucash.org/describecomponents.cgi?product=Documentation")
set (PACKAGE_STRING "${PACKAGE_NAME} ${gnucash-docs_VERSION}")
set (PACKAGE_URL "https://www.gnucash.org/")
set (PACKAGE_PREFIX "${PROJECT_NAME}-${gnucash-docs_VERSION}")

# Extra cmake macros
set (CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH}")
include (AddChmTarget)
include (AddEpubTarget)
include (AddGHelpTarget)
include (AddHtmlTarget)
include (AddPdfTarget)
include (AddGncDocTargets)
include (DistCommon)
include (GNUInstallDirs)

# Clear cache variables that will be filled later during the cmake run
unset(dist_files CACHE)

# ############################################################
# These options are settable from the CMake command line. For example,
# to enable mobi, put -D WITH_MOBI=ON on the command line.
# To mimic the autotools' behaviour the targets enabled by default
# are different for Windows vs the other supported platforms.
# On windows only chm is enabled by default
# On any other platform chm and mobi are disabled by default

if(NOT WIN32)
    option (WITH_GHELP "Enable build rules for gnome help document format" ON)
    option (WITH_HTML "Enable build rules for html document format" ON)
    option (WITH_PDF "Enable build rules for pdf document format" ON)
    option (WITH_EPUB "Enable build rules for epub document format" ON)
    option (WITH_CHM "Enable build rules for chm document format" OFF)
else()
    option (WITH_GHELP "Enable build rules for gnome help document format" OFF)
    option (WITH_HTML "Enable build rules for html document format" OFF)
    option (WITH_PDF "Enable build rules for pdf document format" OFF)
    option (WITH_EPUB "Enable build rules for epub document format" OFF)
    option (WITH_CHM "Enable build rules for chm document format" ON)
endif()
option (WITH_MOBI "Enable build rules for Mobipocket document format" OFF)

# If AUTOTOOLS_IN_DIST is OFF, then 'dist' wont run autogen.sh, and 'distcheck'
# won't run the autotools distcheck. Note that various Makefile.am files are still
# included in the dist when this is OFF. I'll fix that at some point.
option (AUTOTOOLS_IN_DIST "Add autotools support to distribution tarballs." ON)
# ############################################################
# Following parameters can equally be set using -D switches on the CMake command line.
# Set font dirs and font for Russian pdf documents
set(EXTENDED_SANS "opentype/freefont/FreeSans" CACHE STRING "Extended sans font used for Russian pdf")
set(EXTENDED_SERIF "opentype/freefont/FreeSerif" CACHE STRING "Extended serif font used for Russian pdf")
set(EXTENDED_MONO "opentype/freefont/FreeMono" CACHE STRING "Extended mono font used for Russian pdf")
set(extended_fontdir "${CMAKE_SOURCE_DIR}/fonts" CACHE STRING "Directory to search for extended fonts")
set(extended_extension "otf" CACHE STRING "Extended fonts extension")

# Set font dirs and font for Japanese pdf documents
set(JAPANESE_MINCHO_TTF "ume-tmo3.ttf" CACHE STRING "Mincho TrueType font used for Japanese pdf")
set(JAPANESE_GOTHIC_TTF "ume-tmo3.ttf" CACHE STRING "Gothic TrueType font used for Japanese pdf")
set(japanese_fontdir "${CMAKE_SOURCE_DIR}/fonts/truetype" CACHE STRING "Directory to search for Japanese fonts")

# Buildtime destination directories for our generated documentation
set(DATADIR_BUILD "${CMAKE_BINARY_DIR}/share")
set(DOCDIR_BUILD  "${DATADIR_BUILD}/doc/${PACKAGE}")

# ############################################################
# Find the documentation dependencies

# Check for xsltproc
# Some distributions package it separately of libxslt
find_program(XSLTPROC xsltproc)
if(NOT XSLTPROC)
    message(SEND_ERROR "Can't find xsltproc, perhaps you should install the xsltproc or libxslt package ?")
endif(NOT XSLTPROC)
SET (XSLTPROCFLAGS --path "${CMAKE_SOURCE_DIR}/docbook" --xinclude "$ENV{XSLTPROCFLAGS}")

# Same for xmllint
find_program(XMLLINT xmllint)
if(NOT XMLLINT)
    message(SEND_ERROR "Can't find xmllint, perhaps you should install the xsltproc or libxslt package ?")
endif(NOT XMLLINT)

# Find a proper bash executable, only used in case of distcheck with autotools
set(GNC_SHELL $ENV{GNC_SHELL})
if (GNC_SHELL) # Replacing this with if ($ENV{GNC_SHELL}) doesn't work.
  # Allow shell override by setting the GNC_SHELL environment variable
  set(SHELL ${GNC_SHELL})
else()
  find_package(UnixCommands)
  if (BASH)
    set(SHELL ${BASH})
  else()
    message(SEND_ERROR "Can't find a suitable bash executable. Please set GNC_SHELL.")
  endif()
endif()

# Check for optional fop
if(WITH_PDF)
    find_program(FOP fop)
    if(NOT FOP)
        message(WARNING "Can't find fop. You will not be able to generate PDF files.")
        set (WITH_PDF OFF)
    endif(NOT FOP)
endif()

if(WITH_MOBI)
    find_program(EBOOK_CONVERT ebook-convert)
    if (NOT EBOOK_CONVERT)
        set(WITH_MOBI OFF)
        message(SEND_ERROR "Couldn't find ebook-convert required for mobi file format support. Please install the Calibre package: https://www.calibre-ebook.com/")
    endif()
    # Mobi is based on epub so enable epub if mobi is requested
    set(WITH_EPUB ON)
else()
    message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBY=ON if you want to enable it.")
endif()

# To find our figures in the source directory each run of fop
# will be passed a fop.xconf file to set a base-dir.
# The default fop.xconf file below does just that.
# Every document/language can define its own FOP_XCONF
# to point at a document/language specific fop.xconf
# instead for additional fop configuration as needed.
# For example the Japanese document will use it to embed Japanese fonts
set (FOP_XCONF_DFLT "${CMAKE_SOURCE_DIR}/fop.xconf.in")
set (FOP_XCONF "${FOP_XCONF_DFLT}")

# Find the htmlhelp compiler for chm output
if(WITH_CHM)
    if(WIN32)
        find_program(HHC hhc.exe
            PATHS "c:/Program Files (x86)/Html Help Workshop" "c:/Program Files/Html Help Workshop")
        if(NOT HHC)
            message(SEND_ERROR "Html Help Workshop not found")
        endif()
    else(WIN32)
        find_program(HHC chmcmd)
        if(NOT HHC)
            set(WITH_CHM OFF)
            message(WARNING "Free Pascal's chmcmd not found. Chm related targets will be disabled.")
        endif()
    endif(WIN32)
endif(WITH_CHM)

# The global targets. Their dependencies will be filled in by subsequent commands in
# the respective subdirectories.
add_custom_target(check)
if (WITH_HTML)
    add_custom_target(html)
endif()
if (WITH_GHELP)
    add_custom_target(ghelp)
endif()
if (WITH_PDF)
    add_custom_target(pdf)
endif()
if (WITH_EPUB)
    add_custom_target(epub)
endif()
if (WITH_MOBI)
    add_custom_target(mobi)
endif()
if (WITH_CHM)
    add_custom_target(chm)
endif()


add_subdirectory (guide)
add_subdirectory (help)

if(AUTOTOOLS_IN_DIST)
    set(autotoolsfiles
        configure.ac
        configure
        config.guess
        config.sub
        COPYING
        INSTALL
        Makefile.am
        aclocal.m4
        gnucash-docs.spec.in
        install-sh
        ltmain.sh
        missing
        chm.make
        epub.make
        mobi.make
        omf.make
        pdf.make
        xmldocs.make)

    # If autogen.sh is not in the source tree, we assume the source is extracted
    # from a dist tarball. In that case the Makefile.in files are already present
    # and we can include the directly instead of generating them from autogen.sh
    find_file(AUTOGEN autogen.sh
        HINTS "${CMAKE_SOURCE_DIR}"
        NO_DEFAULT_PATH)
    if(NOT AUTOGEN)
        list(APPEND autotoolsfiles Makefile.in)
        message(STATUS "autogen.sh not in source tree. Assuming Makefile.in files are present instead")
    endif()

    add_to_dist(${autotoolsfiles})
endif()

file(GLOB_RECURSE extrafiles
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    cmake/* fonts/* stylesheet/* xsl/*)
add_to_dist(${extrafiles})

add_to_dist(
    AUTHORS
    CMakeLists.txt
    COPYING-DOCS
    ChangeLog
    HACKING
    NEWS
    README
    docbook/gnc-docbookx.dtd
    fop.xconf.in)

############################ BEGIN MAKE DIST #################

set(DIST_FILE "${PACKAGE_PREFIX}.tar")

add_custom_command(OUTPUT ${DIST_FILE}.gz ${DIST_FILE}.bz2
        COMMAND ${CMAKE_COMMAND}
           -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
           -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
           -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
           -D BUILD_SOURCE_DIR=${CMAKE_BINARY_DIR}
           "-Ddist_files=\"${dist_files}\""
           -D AUTOGEN=${AUTOGEN}
           -D SHELL=${SHELL}
           -P ${CMAKE_SOURCE_DIR}/cmake/MakeDist.cmake

        DEPENDS
          ${dist_files}
        )

add_custom_target(dist DEPENDS ${DIST_FILE}.gz ${DIST_FILE}.bz2)

add_custom_target(distcheck DEPENDS dist
        COMMAND ${CMAKE_COMMAND}
            -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
            -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
            -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
            -D AUTOTOOLS_IN_DIST=${AUTOTOOLS_IN_DIST}
            -D SHELL=${SHELL}
            -P ${CMAKE_SOURCE_DIR}/cmake/MakeDistCheck.cmake
        )

############################# END MAKE DIST #################

# uninstall target
configure_file(
        "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        @ONLY)

add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== guide/CMakeLists.txt ===
set (docname "gnucash-guide")

add_custom_target(${docname}-check)
add_dependencies(check ${docname}-check)

if (WITH_HTML)
    add_custom_target(${docname}-html)
    add_dependencies(html ${docname}-html)
endif()

if (WITH_GHELP)
    add_custom_target(${docname}-ghelp)
    add_dependencies(ghelp ${docname}-ghelp)
endif()

if (WITH_PDF)
    add_custom_target(${docname}-pdf)
    add_dependencies(pdf ${docname}-pdf)
endif()

if (WITH_EPUB)
    add_custom_target(${docname}-epub)
    add_dependencies(epub ${docname}-epub)
endif()

if (WITH_MOBI)
    add_custom_target(${docname}-mobi)
    add_dependencies(mobi ${docname}-mobi)
endif()

if (WITH_CHM)
    add_custom_target(${docname}-chm)
    add_dependencies(chm ${docname}-chm)
endif()

add_subdirectory(C)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(pt)
add_subdirectory(ru)

if(AUTOTOOLS_IN_DIST)
    set(autotoolsfiles Makefile.am)
    if(NOT AUTOGEN)
        list(APPEND autotoolsfiles Makefile.in)
    endif()
endif()
add_to_dist(CMakeLists.txt ${autotoolsfiles})

=== help/CMakeLists.txt ===
set (docname "gnucash-help")

add_custom_target(${docname}-check)
add_dependencies(check ${docname}-check)

if (WITH_HTML)
    add_custom_target(${docname}-html)
    add_dependencies(html ${docname}-html)
endif()

if (WITH_GHELP)
    add_custom_target(${docname}-ghelp)
    add_dependencies(ghelp ${docname}-ghelp)
endif()

if (WITH_PDF)
    add_custom_target(${docname}-pdf)
    add_dependencies(pdf ${docname}-pdf)
endif()

if (WITH_EPUB)
    add_custom_target(${docname}-epub)
    add_dependencies(epub ${docname}-epub)
endif()

if (WITH_MOBI)
    add_custom_target(${docname}-mobi)
    add_dependencies(mobi ${docname}-mobi)
endif()

if (WITH_CHM)
    add_custom_target(${docname}-chm)
    add_dependencies(chm ${docname}-chm)
endif()

add_subdirectory(C)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(pt)

if(AUTOTOOLS_IN_DIST)
    set(autotoolsfiles Makefile.am)
    if(NOT AUTOGEN)
        list(APPEND autotoolsfiles Makefile.in)
    endif()
endif()
add_to_dist(CMakeLists.txt ${autotoolsfiles})

=== guide/de/CMakeLists.txt ===
set (entities
        ch_accts.xml
        ch_basics.xml
        ch_budgets.xml
        ch_bus_ap.xml
        ch_bus_ar.xml
        ch_bus_intro.xml
        ch_bus_pay.xml
        ch_bus_setup.xml
        ch_capgain.xml
        ch_cbook.xml
        ch_cc.xml
        ch_currency.xml
        ch_dep.xml
        ch_expenses.xml
        ch_import_business_data.xml
        ch_loans.xml
        ch_invest.xml
        ch_oth_assets.xml
        ch_oview.xml
        ch_python_bindings.xml
        ch_txns.xml
        appendixa.xml
        appendixb.xml
        appendixc.xml
        appendixd.xml
        appendixe.xml
        fdl-appendix.xml
        glossary.xml)

add_gnc_doc_targets(${docname} "${entities}")

=== guide/it/CMakeLists.txt ===
set (COMPONENTS
        ${top_srcdir}/guide/C/gnucash-guide.xml
        ${top_srcdir}/guide/C/fdl-appendix.xml
        ${top_srcdir}/guide/C/legal.xml
        ${top_srcdir}/guide/C/ch_oview.xml
        ${top_srcdir}/guide/C/ch_basics.xml
        ${top_srcdir}/guide/C/ch_accts.xml
        ${top_srcdir}/guide/C/ch_txns.xml
        ${top_srcdir}/guide/C/ch_cbook.xml
        ${top_srcdir}/guide/C/ch_cc.xml
        ${top_srcdir}/guide/C/ch_expenses.xml
        ${top_srcdir}/guide/C/ch_loans.xml
        ${top_srcdir}/guide/C/ch_invest.xml
        ${top_srcdir}/guide/C/ch_reports.xml
        ${top_srcdir}/guide/C/ch_capgain.xml
        ${top_srcdir}/guide/C/ch_currency.xml
        ${top_srcdir}/guide/C/ch_dep.xml
        ${top_srcdir}/guide/C/ch_bus_features.xml
        ${top_srcdir}/guide/C/ch_budgets.xml
        ${top_srcdir}/guide/C/ch_oth_assets.xml
        ${top_srcdir}/guide/C/ch_python_bindings.xml
        ${top_srcdir}/guide/C/ch_import_business_data.xml
        ${top_srcdir}/guide/C/gnc-glossary.xml
        ${top_srcdir}/guide/C/appendixa.xml
        ${top_srcdir}/guide/C/appendixb.xml
        ${top_srcdir}/guide/C/appendixc.xml
        ${top_srcdir}/guide/C/appendixd.xml)

#gnucash-guide.xml: ${COMPONENTS} ${srcdir}/it.po
#        xml2po -e -p ${srcdir}/it.po -o $@ ${top_srcdir}/guide/C/gnucash-guide.xml
#        if test "${srcdir}" != "${builddir}"; then mv $@ ${srcdir}; fi

add_gnc_doc_targets(${docname} "")

set(extra_dist
    COME-TRADURRE
    it.po)
add_to_dist(${extra_dist})

=== guide/ru/CMakeLists.txt ===
set (entities
        ch_oview.xml
        ch_basics.xml
        ch_accts.xml
        ch_txns.xml
        ch_cbook.xml
        ch_cc.xml
        ch_expenses.xml
        ch_loans.xml
        ch_invest.xml
        ch_reports.xml
        ch_capgain.xml
        ch_currency.xml
        ch_dep.xml
        ch_bus_features.xml
        ch_budgets.xml
        ch_oth_assets.xml
        ch_python_bindings.xml
        ch_import_business_data.xml
        gnc-glossary.xml
        fdl-appendix.xml
        legal.xml
        appendixa.xml
        appendixb.xml
        appendixc.xml
        appendixd.xml)

set (FOP_XCONF "${CMAKE_CURRENT_SOURCE_DIR}/fop.xconf.in")
# Compatibility hack for autotools
# When autotools gets dropped this line can be removed
# and CMAKE_CURRENT_SOURCE_DIR can be used directly in
# fop.xconf.in
set(BASEDIR_RU "${CMAKE_CURRENT_SOURCE_DIR}")

add_gnc_doc_targets(${docname} "${entities}")

set(extra_dist
    fop.xconf.in)
add_to_dist(${extra_dist})

=== help/pt/CMakeLists.txt ===
set (entities
        Help_ch_Intro.xml
        Help_ch_GettingHelp.xml
        Help_ch_GettingStarted.xml
        Help_ch_GUIMenus.xml
        Help_ch_Account-Actions.xml
        Help_ch_Transactions.xml
        Help_ch_Business.xml
        Help_ch_Tools_Assistants.xml
        Help_ch_Reports.xml
        Help_ch_Customize.xml
        Help_chtacctseg.xml
        Help_chartofaccts.xml
        Help_legal.xml
        Help_txf-categories.xml
        Help_fdl-appendix.xml
        Help_tips-appendix.xml)

add_gnc_doc_targets(${docname} "${entities}")

=== debian/changelog ===
gnucash-docs (3.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Dec 2019 03:03:22 +1100

=== debian/control ===
Source: gnucash-docs
Section: doc
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12), xsltproc, fop
    ,docbook-xml
    ,fonts-freefont-otf
    ,fonts-horai-umefont
    ,libfontbox2-java
    ,libxml2-utils
    ,rdfind, symlinks
Homepage: http://www.gnucash.org
Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git

Package: gnucash-docs
Architecture: all
Built-Using: ${misc:Built-Using}, ${my:Built-Using}
Depends: ${misc:Depends}
Recommends: yelp
Suggests: gnucash, pdf-viewer, www-browser
Conflicts: gnucash (<< 1.9.0-1)
Description: Documentation for gnucash, a personal finance tracking program
 GnuCash provides accounting functions suitable for use by small businesses and
 individuals. It can track finances in multiple accounts, keeping running and
 reconciled balances. There is support for customer, vendor and employee
 processing. It has an X based graphical user interface, double entry, a
 hierarchy of accounts, expense accounts (categories), and can import Quicken
 QIF files and OFX files.
 .
 This package contains the GnuCash Help Manual and the GnuCash Tutorial and
 Concepts Guide.
 .
 The Help Manual is a quick reference of how to accomplish specific tasks and
 how to use the features in GnuCash. The Tutorial and Concepts Guide is an in
 depth guide to the concepts behind using GnuCash with a tutorial to show how
 to put those concepts into practice.
 .
 These documents are available in HTML, PDF and DocBook formats (the latter is
 intended to be viewed with the GNOME Help browser).
 .
 Translations in German, Italian and Japanese are also included in this package
 (for Japanese, only the guide is available).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## Disable build-time network access #831019:
export XSLTPROCFLAGS=--nonet

## https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584472
export JAVA_CLASSPATH=/usr/share/java/fontbox2.jar

%:
	dh $@

## TODO: use "fonts-horai-umefont".
fonts/gothic.xml:
	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tgo4.ttf $@

fonts/mincho.xml:
	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf $@

override_dh_clean:
	dh_clean
	$(RM) -rfv fonts

#override_dh_auto_configure: fonts/mincho.xml fonts/gothic.xml
#	dh_auto_configure -- --with-japanese-fontdir=/usr/share/fonts/truetype/horai-umefont

override_dh_auto_build:
	mkdir -pv fonts/truetype
	ln -sv /usr/share/fonts/truetype/horai-umefont/ume-tgo4.ttf    fonts/truetype/    # fonts-horai-umefont
	ln -sv /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf    fonts/truetype/    # fonts-horai-umefont
	mkdir -pv fonts/opentype
	ln -sv /usr/share/fonts/opentype/freefont                      fonts/opentype/    # fonts-freefont-otf
	$(MAKE) html pdf

override_dh_auto_clean:
	dh_auto_clean
	for lg in C it de ja pt ru; do \
		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
	done

override_dh_installdocs:
	dh_installdocs
	for suffix in "/" ".pdf"; do \
		for type in help guide; do \
			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
			cp -a $${type}/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
			cp -a $${type}/ru/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ru$${suffix}; \
			if [ "$${type}" = guide ]; then \
				cp -a $${type}/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
			fi; \
		done; \
	done
	# Replace duplicate files with symlinks, to save space.
	# And make sure that files from /usr/share/doc are not taken as original copy.
	rdfind -outputname /dev/null -makesymlinks true debian/gnucash-docs/usr/share/gnome/ \
		debian/gnucash-docs/usr/share/doc/
	# Fix those symlinks to make them relative
	symlinks -r -s -c debian/gnucash-docs/

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-horai-umefont fonts-freefont-otf,$(shell dpkg-query --show -f '$${source:Package} (=$${Version})' $(pkg)),)"

## gnucash-docs 3.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # This sets a number of environment variables we can use later on
 # The names of these variables start with PROJECT_ and gnucash-docs_VERSION
 project (gnucash-docs
-    VERSION 3.8
+    VERSION 3.10
     LANGUAGES NONE)
 
 set (PACKAGE_NAME GnuCash Docs)
@@ -171,7 +171,11 @@
     add_custom_target(mobi)
 endif()
 if (WITH_CHM)
-    add_custom_target(chm)
+    if(WIN32)
+        add_custom_target(chm ALL)
+    else()
+        add_custom_target(chm)
+    endif()
 endif()

=== debian/changelog ===
gnucash-docs (3.10-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Apr 2020 00:28:20 -0700

gnucash-docs (3.9-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Apr 2020 20:04:02 -0700

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Package: gnucash-docs
 Architecture: all
 Built-Using: ${misc:Built-Using}, ${my:Built-Using}
-Depends: ${misc:Depends}
-Recommends: yelp
+Depends: ${misc:Depends}, yelp
+# Recommends: yelp
 Suggests: gnucash, pdf-viewer, www-browser
 Conflicts: gnucash (<< 1.9.0-1)
 Description: Documentation for gnucash, a personal finance tracking program

## gnucash-docs 4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,11 @@
 
 # This sets a number of environment variables we can use later on
 # The names of these variables start with PROJECT_ and gnucash-docs_VERSION
+# We don't actually use C, but GNUInstallDirs doesn't work if we don't
+# specify a language.
 project (gnucash-docs
-    VERSION 3.10
-    LANGUAGES NONE)
+    VERSION 4.2
+    LANGUAGES C)
 
 set (PACKAGE_NAME GnuCash Docs)
 set (PACKAGE_BUGREPORT "https://bugs.gnucash.org/describecomponents.cgi?product=Documentation")
@@ -122,7 +124,7 @@
     # Mobi is based on epub so enable epub if mobi is requested
     set(WITH_EPUB ON)
 else()
-    message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBY=ON if you want to enable it.")
+    message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBI=ON if you want to enable it.")
 endif()
 
 # To find our figures in the source directory each run of fop
@@ -185,34 +187,14 @@
 if(AUTOTOOLS_IN_DIST)
     set(autotoolsfiles
         configure.ac
-        configure
-        config.guess
-        config.sub
-        COPYING
-        INSTALL
         Makefile.am
-        aclocal.m4
         gnucash-docs.spec.in
-        install-sh
-        ltmain.sh
-        missing
         chm.make
         epub.make
         mobi.make
         omf.make
         pdf.make
         xmldocs.make)
-
-    # If autogen.sh is not in the source tree, we assume the source is extracted
-    # from a dist tarball. In that case the Makefile.in files are already present
-    # and we can include the directly instead of generating them from autogen.sh
-    find_file(AUTOGEN autogen.sh
-        HINTS "${CMAKE_SOURCE_DIR}"
-        NO_DEFAULT_PATH)
-    if(NOT AUTOGEN)
-        list(APPEND autotoolsfiles Makefile.in)
-        message(STATUS "autogen.sh not in source tree. Assuming Makefile.in files are present instead")
-    endif()
 
     add_to_dist(${autotoolsfiles})
 endif()
@@ -244,7 +226,7 @@
            -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
            -D BUILD_SOURCE_DIR=${CMAKE_BINARY_DIR}
            "-Ddist_files=\"${dist_files}\""
-           -D AUTOGEN=${AUTOGEN}
+           -D AUTOTOOLS_IN_DIST=${AUTOTOOLS_IN_DIST}
            -D SHELL=${SHELL}
            -P ${CMAKE_SOURCE_DIR}/cmake/MakeDist.cmake

=== debian/changelog ===
gnucash-docs (4.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Oct 2020 09:25:03 -0700

gnucash-docs (4.2-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 03 Oct 2020 01:09:14 +1000

gnucash-docs (3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Apr 2020 23:26:17 +1000

gnucash-docs (3.9-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.
  * Rules-Requires-Root: no.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Apr 2020 18:38:20 +1000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: gnucash-docs
 Section: doc
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12), xsltproc, fop
-    ,docbook-xml
-    ,fonts-freefont-otf
-    ,fonts-horai-umefont
-    ,libfontbox2-java
-    ,libxml2-utils
-    ,rdfind, symlinks
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12),
+               docbook-xml,
+               fonts-freefont-otf,
+               fonts-horai-umefont,
+               fop,
+               libfontbox2-java,
+               libxml2-utils,
+               rdfind,
+               symlinks,
+               xsltproc
 Homepage: http://www.gnucash.org
 Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
 Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
+Rules-Requires-Root: no
 
 Package: gnucash-docs
 Architecture: all

## gnucash-docs 4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # We don't actually use C, but GNUInstallDirs doesn't work if we don't
 # specify a language.
 project (gnucash-docs
-    VERSION 4.2
+    VERSION 4.4
     LANGUAGES C)
 
 set (PACKAGE_NAME GnuCash Docs)

=== guide/CMakeLists.txt ===
--- 
+++ 
@@ -38,12 +38,8 @@
 add_subdirectory(it)
 add_subdirectory(ja)
 add_subdirectory(pt)
-add_subdirectory(ru)
 
 if(AUTOTOOLS_IN_DIST)
     set(autotoolsfiles Makefile.am)
-    if(NOT AUTOGEN)
-        list(APPEND autotoolsfiles Makefile.in)
-    endif()
 endif()
 add_to_dist(CMakeLists.txt ${autotoolsfiles})

=== help/CMakeLists.txt ===
--- 
+++ 
@@ -40,8 +40,5 @@
 
 if(AUTOTOOLS_IN_DIST)
     set(autotoolsfiles Makefile.am)
-    if(NOT AUTOGEN)
-        list(APPEND autotoolsfiles Makefile.in)
-    endif()
 endif()
 add_to_dist(CMakeLists.txt ${autotoolsfiles})

=== guide/C/CMakeLists.txt ===
set (entities
        fdl-appendix.xml
        legal.xml
        ch_oview.xml
        ch_basics.xml
        ch_accts.xml
        ch_txns.xml
        ch_importing.xml
        ch_configuring.xml
        ch_cbook.xml
        ch_cc.xml
        ch_expenses.xml
        ch_loans.xml
        ch_invest.xml
        ch_reports.xml
        ch_capgain.xml
        ch_currency.xml
        ch_dep.xml
        ch_bus_features.xml
        ch_budgets.xml
        ch_oth_assets.xml
        ch_python_bindings.xml
        ch_import_business_data.xml
        gnc-glossary.xml
        appendixa.xml
        appendixb.xml
        appendixc.xml
        appendixd.xml)

add_gnc_doc_targets(${docname} "${entities}")

=== guide/ja/CMakeLists.txt ===
set (entities
        fdl-appendix.xml
        legal.xml
        ch_oview.xml
        ch_basics.xml
        ch_accts.xml
        ch_txns.xml
        ch_cbook.xml
        ch_cc.xml
        ch_loans.xml
        ch_invest.xml
        ch_capgain.xml
        ch_currency.xml
        ch_dep.xml
        ch_bus_ar.xml
        ch_bus_ap.xml
        ch_bus_pay.xml
        ch_budgets.xml
        ch_oth_assets.xml
        ch_python_bindings.xml
        appendixa.xml
        appendixb.xml
        appendixc.xml
        appendixd.xml)

set (FOP_XCONF "${CMAKE_CURRENT_SOURCE_DIR}/fop.xconf.in")
# Compatibility hack for autotools
# When autotools gets dropped this line can be removed
# and CMAKE_CURRENT_SOURCE_DIR can be used directly in
# fop.xconf.in
set(BASEDIR_JA "${CMAKE_CURRENT_SOURCE_DIR}")

add_gnc_doc_targets(${docname} "${entities}")

set(extra_dist
    fop.xconf.in)
add_to_dist(${extra_dist})

=== guide/pt/CMakeLists.txt ===
set (entities
        fdl-appendix.xml
        legal.xml
        ch_oview.xml
        ch_basics.xml
        ch_accts.xml
        ch_txns.xml
        ch_cbook.xml
        ch_cc.xml
        ch_loans.xml
        ch_invest.xml
        ch_capgain.xml
        ch_currency.xml
        ch_dep.xml
        ch_bus_intro.xml
        ch_bus_setup.xml
        ch_bus_ar.xml
        ch_bus_ap.xml
        ch_bus_pay.xml
        ch_budgets.xml
        ch_oth_assets.xml
        ch_python_bindings.xml
        ch_import_business_data.xml
        appendixa.xml
        appendixb.xml
        appendixc.xml
        appendixd.xml)

add_gnc_doc_targets(${docname} "${entities}")

=== help/de/CMakeLists.txt ===
set (entities
        Help_ch_Intro.xml
        Help_ch_GettingStarted.xml
        Help_fdl-appendix.xml
        Help_legal.xml
        Help_chartofaccts.xml
        Help_chtacctseg.xml
        Help_txf-categories.xml
        Help_tips-appendix.xml)

add_gnc_doc_targets(${docname} "${entities}")

=== help/it/CMakeLists.txt ===
set (COMPONENTS
        ${top_srcdir}/help/C/gnucash-help.xml
        ${top_srcdir}/help/C/Help_ch_Intro.xml
        ${top_srcdir}/help/C/Help_ch_GettingHelp.xml
        ${top_srcdir}/help/C/Help_ch_GettingStarted.xml
        ${top_srcdir}/help/C/Help_ch_GUIMenus.xml
        ${top_srcdir}/help/C/Help_ch_Account-Actions.xml
        ${top_srcdir}/help/C/Help_ch_Transactions.xml
        ${top_srcdir}/help/C/Help_ch_Business.xml
        ${top_srcdir}/help/C/Help_ch_Tools_Assistants.xml
        ${top_srcdir}/help/C/Help_ch_Reports.xml
        ${top_srcdir}/help/C/Help_ch_Customize.xml
        ${top_srcdir}/help/C/Help_chtacctseg.xml
        ${top_srcdir}/help/C/Help_chartofaccts.xml
        ${top_srcdir}/help/C/Help_legal.xml
        ${top_srcdir}/help/C/Help_txf-categories.xml
        ${top_srcdir}/help/C/Help_fdl-appendix.xml
        ${top_srcdir}/help/C/Help_tips-appendix.xml)

#gnucash-help.xml: ${COMPONENTS} ${srcdir}/it.po
#	xml2po -e -p ${srcdir}/it.po -o $@ ${top_srcdir}/help/C/gnucash-help.xml
#	if test "${srcdir}" != "${builddir}"; then mv $@ ${srcdir}; fi

#EXTRA_DIST += it.po

add_gnc_doc_targets(${docname} "")

set(extra_dist
    COME-TRADURRE
    it.po)
add_to_dist(${extra_dist})

=== debian/changelog ===
gnucash-docs (4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jan 2021 14:51:40 +1100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: gnucash-docs
 Section: doc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
-               docbook-xml,
-               fonts-freefont-otf,
-               fonts-horai-umefont,
-               fop,
-               libfontbox2-java,
-               libxml2-utils,
-               rdfind,
-               symlinks,
-               xsltproc
+Build-Depends: debhelper-compat (= 12), xsltproc, fop
+    ,docbook-xml
+    ,fonts-freefont-otf
+    ,fonts-horai-umefont
+    ,libfontbox2-java
+    ,libxml2-utils
+    ,rdfind, symlinks
 Homepage: http://www.gnucash.org
 Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
 Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
@@ -22,8 +18,8 @@
 Package: gnucash-docs
 Architecture: all
 Built-Using: ${misc:Built-Using}, ${my:Built-Using}
-Depends: ${misc:Depends}, yelp
-# Recommends: yelp
+Depends: ${misc:Depends}
+Recommends: yelp
 Suggests: gnucash, pdf-viewer, www-browser
 Conflicts: gnucash (<< 1.9.0-1)
 Description: Documentation for gnucash, a personal finance tracking program

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	for lg in C it de ja pt ru; do \
+	for lg in C it de ja pt; do \
 		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
 	done
 
@@ -48,7 +48,6 @@
 			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
 			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
 			cp -a $${type}/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
-			cp -a $${type}/ru/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ru$${suffix}; \
 			if [ "$${type}" = guide ]; then \
 				cp -a $${type}/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
 			fi; \

## gnucash-docs 4.6

=== debian/changelog ===
gnucash-docs (4.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Build with CMAKE.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Aug 2021 14:04:49 +1000

## gnucash-docs 4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # We don't actually use C, but GNUInstallDirs doesn't work if we don't
 # specify a language.
 project (gnucash-docs
-    VERSION 4.4
+    VERSION 4.8
     LANGUAGES C)
 
 set (PACKAGE_NAME GnuCash Docs)
@@ -53,10 +53,6 @@
 endif()
 option (WITH_MOBI "Enable build rules for Mobipocket document format" OFF)
 
-# If AUTOTOOLS_IN_DIST is OFF, then 'dist' wont run autogen.sh, and 'distcheck'
-# won't run the autotools distcheck. Note that various Makefile.am files are still
-# included in the dist when this is OFF. I'll fix that at some point.
-option (AUTOTOOLS_IN_DIST "Add autotools support to distribution tarballs." ON)
 # ############################################################
 # Following parameters can equally be set using -D switches on the CMake command line.
 # Set font dirs and font for Russian pdf documents
@@ -119,10 +115,11 @@
     find_program(EBOOK_CONVERT ebook-convert)
     if (NOT EBOOK_CONVERT)
         set(WITH_MOBI OFF)
-        message(SEND_ERROR "Couldn't find ebook-convert required for mobi file format support. Please install the Calibre package: https://www.calibre-ebook.com/")
+        message(WARNING "Can't find ebook-convert. To enable the generation of mobi files install the Calibre package: https://www.calibre-ebook.com/")
+    else()
+        # Mobi is based on epub so enable epub if mobi is requested
+        set(WITH_EPUB ON)
     endif()
-    # Mobi is based on epub so enable epub if mobi is requested
-    set(WITH_EPUB ON)
 else()
     message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBI=ON if you want to enable it.")
 endif()
@@ -182,37 +179,25 @@
 
 
 add_subdirectory (guide)
-add_subdirectory (help)
-
-if(AUTOTOOLS_IN_DIST)
-    set(autotoolsfiles
-        configure.ac
-        Makefile.am
-        gnucash-docs.spec.in
-        chm.make
-        epub.make
-        mobi.make
-        omf.make
-        pdf.make
-        xmldocs.make)
-
-    add_to_dist(${autotoolsfiles})
-endif()
+add_subdirectory (manual)
 
 file(GLOB_RECURSE extrafiles
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-    cmake/* fonts/* stylesheet/* xsl/*)
+    cmake/* fonts/* stylesheet/* xsl/* docbook/*)
 add_to_dist(${extrafiles})
+
+configure_file(COPYING ${DATADIR_BUILD}/${PROJECT_NAME}/COPYING COPYONLY)
+configure_file(COPYING-DOCS ${DATADIR_BUILD}/${PROJECT_NAME}/COPYING-DOCS COPYONLY)
+install(FILES COPYING COPYING-DOCS DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})
 
 add_to_dist(
     AUTHORS
     CMakeLists.txt
+    COPYING
     COPYING-DOCS
     ChangeLog
-    HACKING
     NEWS
     README
-    docbook/gnc-docbookx.dtd
     fop.xconf.in)
 
 ############################ BEGIN MAKE DIST #################
@@ -226,7 +211,6 @@
            -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
            -D BUILD_SOURCE_DIR=${CMAKE_BINARY_DIR}
            "-Ddist_files=\"${dist_files}\""
-           -D AUTOTOOLS_IN_DIST=${AUTOTOOLS_IN_DIST}
            -D SHELL=${SHELL}
            -P ${CMAKE_SOURCE_DIR}/cmake/MakeDist.cmake
 
@@ -241,7 +225,6 @@
             -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
             -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
             -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
-            -D AUTOTOOLS_IN_DIST=${AUTOTOOLS_IN_DIST}
             -D SHELL=${SHELL}
             -P ${CMAKE_SOURCE_DIR}/cmake/MakeDistCheck.cmake
         )

=== guide/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,4 @@
 add_subdirectory(ja)
 add_subdirectory(pt)
 
-if(AUTOTOOLS_IN_DIST)
-    set(autotoolsfiles Makefile.am)
-endif()
-add_to_dist(CMakeLists.txt ${autotoolsfiles})
+add_to_dist(CMakeLists.txt)

=== manual/CMakeLists.txt ===
set (docname "gnucash-help")

add_custom_target(${docname}-check)
add_dependencies(check ${docname}-check)

if (WITH_HTML)
    add_custom_target(${docname}-html)
    add_dependencies(html ${docname}-html)
endif()

if (WITH_GHELP)
    add_custom_target(${docname}-ghelp)
    add_dependencies(ghelp ${docname}-ghelp)
endif()

if (WITH_PDF)
    add_custom_target(${docname}-pdf)
    add_dependencies(pdf ${docname}-pdf)
endif()

if (WITH_EPUB)
    add_custom_target(${docname}-epub)
    add_dependencies(epub ${docname}-epub)
endif()

if (WITH_MOBI)
    add_custom_target(${docname}-mobi)
    add_dependencies(mobi ${docname}-mobi)
endif()

if (WITH_CHM)
    add_custom_target(${docname}-chm)
    add_dependencies(chm ${docname}-chm)
endif()

add_subdirectory(C)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(pt)

add_to_dist(CMakeLists.txt)

=== guide/C/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,6 @@
         ch_import_business_data.xml
         gnc-glossary.xml
         appendixa.xml
-        appendixb.xml
-        appendixc.xml
         appendixd.xml)
 
 add_gnc_doc_targets(${docname} "${entities}")

=== guide/de/CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,9 @@
         ch_oth_assets.xml
         ch_oview.xml
         ch_python_bindings.xml
+        ch_reports.xml
         ch_txns.xml
         appendixa.xml
-        appendixb.xml
-        appendixc.xml
         appendixd.xml
         appendixe.xml
         fdl-appendix.xml

=== guide/it/CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,6 @@
         ${top_srcdir}/guide/C/ch_import_business_data.xml
         ${top_srcdir}/guide/C/gnc-glossary.xml
         ${top_srcdir}/guide/C/appendixa.xml
-        ${top_srcdir}/guide/C/appendixb.xml
-        ${top_srcdir}/guide/C/appendixc.xml
         ${top_srcdir}/guide/C/appendixd.xml)
 
 #gnucash-guide.xml: ${COMPONENTS} ${srcdir}/it.po

=== guide/ja/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,6 @@
         ch_oth_assets.xml
         ch_python_bindings.xml
         appendixa.xml
-        appendixb.xml
-        appendixc.xml
         appendixd.xml)
 
 set (FOP_XCONF "${CMAKE_CURRENT_SOURCE_DIR}/fop.xconf.in")

=== guide/pt/CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,6 @@
         ch_python_bindings.xml
         ch_import_business_data.xml
         appendixa.xml
-        appendixb.xml
-        appendixc.xml
         appendixd.xml)
 
 add_gnc_doc_targets(${docname} "${entities}")

=== manual/de/CMakeLists.txt ===
set (entities
        Help_ch_Intro.xml
        Help_ch_GettingHelp.xml
        Help_ch_GettingStarted.xml
        Help_ch_GUIMenus.xml
        Help_ch_Account-Actions.xml
        Help_ch_Transactions.xml
        Help_ch_Business.xml
        Help_ch_Tools_Assistants.xml
        Help_ch_Reports.xml
        Help_ch_Customize.xml
        Help_fdl-appendix.xml
        Help_legal.xml
        para-assist-buttons.xml
        Help_chartofaccts.xml
        Help_chtacctseg.xml
        Help_para-assist-intro.xml
        Help_txf-categories.xml
        Help_tips-appendix.xml)

add_gnc_doc_targets(${docname} "${entities}")

=== debian/changelog ===
gnucash-docs (4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Dec 2021 15:23:39 +1100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 12), xsltproc, fop
+    ,cmake
     ,docbook-xml
     ,fonts-freefont-otf
     ,fonts-horai-umefont

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## "--nonet": Disable build-time network access #831019:
export XSLTPROCFLAGS=--nonet

## https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584472
export JAVA_CLASSPATH=/usr/share/java/fontbox2.jar

BDIR=build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BDIR)

## TODO: use "fonts-horai-umefont".
fonts/gothic.xml:
	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tgo4.ttf $@

fonts/mincho.xml:
	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf $@

override_dh_clean:
	dh_clean
	$(RM) -rfv fonts

override_dh_auto_configure:
	dh_auto_configure -- -Wdev \
               -DCMAKE_VERBOSE_MAKEFILE=ON  \
               -DCMAKE_BUILD_TYPE=Release   \
        ;

override_dh_auto_build:
	mkdir -pv fonts/truetype
	ln -sfv /usr/share/fonts/truetype/horai-umefont/ume-tgo4.ttf    fonts/truetype/    # fonts-horai-umefont
	ln -sfv /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf    fonts/truetype/    # fonts-horai-umefont
	mkdir -pv fonts/opentype
	ln -sv /usr/share/fonts/opentype/freefont                       fonts/opentype/    # fonts-freefont-otf
#	dh_auto_build
	$(MAKE) -C $(BDIR) html pdf

override_dh_auto_clean:
	dh_auto_clean
	for lg in C it de ja pt; do \
		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
	done

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs
	for suffix in "/" ".pdf"; do \
		for type in help guide; do \
			cp -a $(BDIR)/share/doc/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
			cp -a $(BDIR)/share/doc/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
			cp -a $(BDIR)/share/doc/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
			cp -a $(BDIR)/share/doc/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
			if [ "$${type}" = guide ]; then \
				cp -a $(BDIR)/share/doc/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
			fi; \
		done; \
	done
	# Replace duplicate files with symlinks, to save space.
	# And make sure that files from /usr/share/doc are not taken as original copy.
	rdfind -outputname /dev/null -makesymlinks true debian/gnucash-docs/usr/share/gnome/ \
		debian/gnucash-docs/usr/share/doc/
	# Fix those symlinks to make them relative
	symlinks -r -s -c debian/gnucash-docs/

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-horai-umefont fonts-freefont-otf,$(shell dpkg-query --show -f '$${source:Package} (=$${Version})' $(pkg)),)"

## gnucash-docs 4.10.1

=== debian/changelog ===
gnucash-docs (4.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Apr 2022 07:38:15 +1000

gnucash-docs (4.10-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Mar 2022 20:15:47 +1100

## gnucash-docs 4.11

=== debian/changelog ===
gnucash-docs (4.11-2) unstable; urgency=medium

  * Install Gnome help files (Closes: #1018983).
    Thanks, Antonio Calvo Rodriguez.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Sep 2022 09:32:27 +1000

gnucash-docs (4.11-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 15:12:59 +1000

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	dh_auto_configure -- -Wdev \
                -DCMAKE_VERBOSE_MAKEFILE=ON  \
                -DCMAKE_BUILD_TYPE=Release   \
+               -DWITH_PDF=ON                \
         ;
 
 override_dh_auto_build:
@@ -39,10 +40,11 @@
 	ln -sv /usr/share/fonts/opentype/freefont                       fonts/opentype/    # fonts-freefont-otf
 #	dh_auto_build
 	$(MAKE) -C $(BDIR) html pdf
+# ghelp
 
 override_dh_auto_clean:
 	dh_auto_clean
-	for lg in C it de ja pt; do \
+	for lg in C it de pt; do \
 		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
 	done
 
@@ -51,15 +53,20 @@
 
 override_dh_installdocs:
 	dh_installdocs
+	set -e; \
 	for suffix in "/" ".pdf"; do \
-		for type in help guide; do \
+		for type in help; do \
 			cp -a $(BDIR)/share/doc/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
 			cp -a $(BDIR)/share/doc/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
 			cp -a $(BDIR)/share/doc/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
 			cp -a $(BDIR)/share/doc/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
-			if [ "$${type}" = guide ]; then \
-				cp -a $(BDIR)/share/doc/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
-			fi; \
+		done; \
+		for type in guide; do \
+			 cp -a $(BDIR)/share/doc/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
+			 cp -a $(BDIR)/share/doc/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
+			 cp -a $(BDIR)/share/doc/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
+			 cp -a $(BDIR)/share/doc/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
+			 cp -a $(BDIR)/share/doc/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
 		done; \
 	done
 	# Replace duplicate files with symlinks, to save space.
